スペースの取得
get
/ic/api/process/v1/spaces
表示が許可されている使用可能なすべてのスペースの情報を返します。
リクエスト
問合せパラメータ
- expand: array[string]
コレクション形式:
multi返されるモデルに含める必要がある拡張情報を指定-
許容値:
[ "PROJECTS", "PERMISSIONS", "CURRENT_USER_ROLE" ]
-
- userMode: string
管理者のみに適用できます。 指定されたユーザー・モードでAPIを実行します。デフォルト値:
none許容値:[ "DEVELOPER", "NONE" ]
レスポンス
サポートされているメディア・タイプ
- application/json
- application/xml;qs=0.9
200レスポンス
成功。 スペースを取得します。
ネストされたスキーマ : space
型:
objectスペースの表現
401レスポンス
未認可
500レスポンス
空白を取得中にエラーが発生しました
例
次の例は、RESTリソースに対してGETリクエストを発行して、認可されているスペースを取得する方法を示しています。
リクエストの送信
次の例では、送信リクエストのコンテンツを示しています。
https://example.com/ic/api/process/v1/spaces
説明
-
example.comは、Oracle Integrationが実行されているホストです。
レスポンス・ヘッダーの例
Status Code: 200 OK Date: Tue, 21 Mar 2017 08:39:54 GMT Content-Type: application/json
レスポンス本文の例
{
"items": [
{
"id": "89f7e082-6855-4a75-b2a6-6a726aff7f23",
"name": "space1",
"creator": "jsmith",
"creation": "2017-03-28,11:36:31 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/permissions",
"rel": "child"
}
]
},
{
"id": "8c4ebcfb-e9e0-4f11-bfc3-af36a75351c9",
"name": "My Space2",
"creator": "jsmith",
"creation": "2017-04-03,02:08:58 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/8c4ebcfb-e9e0-4f11-bfc3-af36a75351c9",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/8c4ebcfb-e9e0-4f11-bfc3-af36a75351c9",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/8c4ebcfb-e9e0-4f11-bfc3-af36a75351c9/projects",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/8c4ebcfb-e9e0-4f11-bfc3-af36a75351c9/permissions",
"rel": "child"
}
]
},
{
"id": "7fcae089-54d0-4315-b452-002ac8d74097",
"name": "My Space",
"creator": "jsmith",
"creation": "2017-04-03,01:25:04 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/7fcae089-54d0-4315-b452-002ac8d74097",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/7fcae089-54d0-4315-b452-002ac8d74097",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/7fcae089-54d0-4315-b452-002ac8d74097/projects",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/7fcae089-54d0-4315-b452-002ac8d74097/permissions",
"rel": "child"
}
]
},
{
"id": "ab5f6943-0711-4c63-9037-1b6b08019770",
"name": "My Space2",
"creator": "jsmith",
"creation": "2017-04-03,21:56:53 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/ab5f6943-0711-4c63-9037-1b6b08019770",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/ab5f6943-0711-4c63-9037-1b6b08019770",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/ab5f6943-0711-4c63-9037-1b6b08019770/projects",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/ab5f6943-0711-4c63-9037-1b6b08019770/permissions",
"rel": "child"
}
]
},
{
"id": "46423b0a-a6a1-4748-b677-e8160bf50ce9",
"name": "My Space 2",
"creator": "jsmith",
"creation": "2017-03-30,23:01:11 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/permissions",
"rel": "child"
}
]
}
],
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/",
"rel": "parent"
}
]
}